HibernateGormStaticApi (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Groovy] Class HibernateGormStaticApi

    java.lang.Object
      org.grails.datastore.gorm.AbstractDatastoreApi
          org.grails.datastore.gorm.AbstractGormApi
              org.grails.datastore.gorm.GormStaticApi
                  org.codehaus.groovy.grails.orm.hibernate.HibernateGormStaticApi

    class HibernateGormStaticApi
    extends org.grails.datastore.gorm.GormStaticApi

The implementation of the GORM static method contract for Hibernate

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class org.grails.datastore.gorm.GormStaticApi
__$stMC, __timeStamp, __timeStamp__239_neverHappen1371569915175, __$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914980, __$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914768

Fields inherited from class org.grails.datastore.gorm.AbstractGormApi
__$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914980, __$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914768

Constructor Summary
`HibernateGormStaticApi(java.lang.Class persistentClass, HibernateDatastore datastore, java.util.List finders, java.lang.ClassLoader classLoader, org.springframework.transaction.PlatformTransactionManager transactionManager)`

Method Summary
`java.lang.Integer` | `count()`
`D` | `create()`
`org.grails.datastore.mapping.query.api.Criteria` | `createCriteria()`
`java.util.List` | `executeQuery(java.lang.String query)`
`java.util.List` | `executeQuery(java.lang.String query, java.lang.Object arg)`
`java.util.List` | `executeQuery(java.lang.String query, java.util.Map args)`
`java.util.List` | `executeQuery(java.lang.String query, java.util.Map params, java.util.Map args)`
`java.util.List` | `executeQuery(java.lang.String query, java.util.Collection params)`
`java.util.List` | `executeQuery(java.lang.String query, java.util.Collection params, java.util.Map args)`
`java.lang.Integer` | `executeUpdate(java.lang.String query)`
`java.lang.Integer` | `executeUpdate(java.lang.String query, java.util.Map args)`
`java.lang.Integer` | `executeUpdate(java.lang.String query, java.util.Map params, java.util.Map args)`
`java.lang.Integer` | `executeUpdate(java.lang.String query, java.util.Collection params)`
`java.lang.Integer` | `executeUpdate(java.lang.String query, java.util.Collection params, java.util.Map args)`
`boolean` | `exists(java.io.Serializable id)`
`D` | `find(java.lang.Object example, java.util.Map args)`
`D` | `find(java.lang.String query, java.util.Map args, java.lang.Integer max)` Finds a single result for the given query and arguments and a maximum results to return value
`D` | `find(java.lang.String query, java.util.Map args, java.lang.Integer max, java.lang.Integer offset)` Finds a single result for the given query and arguments and a maximum results to return value
`D` | `find(java.lang.String query, java.lang.Integer max)` Finds a single result for the given query and a maximum results to return value
`D` | `find(java.lang.String query, java.lang.Integer max, java.lang.Integer offset)` Finds a single result for the given query and a maximum results to return value
`D` | `find(java.lang.String query)`
`D` | `find(java.lang.String query, java.lang.Object[] params)`
`D` | `find(java.lang.String query, java.util.Map args)`
`D` | `find(java.lang.String query, java.util.Map params, java.util.Map args)`
`java.lang.Object` | `find(java.lang.String query, java.util.Collection params)`
`D` | `find(java.lang.String query, java.util.Collection params, java.util.Map args)`
`java.util.List` | `findAll(java.lang.Object example, java.util.Map args)`
`java.util.List` | `findAll(java.lang.String query, java.util.Map args, java.lang.Integer max)` Finds a list of results for the given query and arguments and a maximum results to return value
`java.util.List` | `findAll(java.lang.String query, java.util.Map args, java.lang.Integer max, java.lang.Integer offset)` Finds a list of results for the given query and arguments and a maximum results to return value
`java.util.List` | `findAll(java.lang.String query, java.lang.Integer max)` Finds a list of results for the given query and a maximum results to return value
`java.util.List` | `findAll(java.lang.String query, java.lang.Integer max, java.lang.Integer offset)` Finds a list of results for the given query and a maximum results to return value
`java.util.List` | `findAll(java.lang.String query)`
`java.util.List` | `findAll(java.lang.String query, java.util.Map args)`
`java.util.List` | `findAll(java.lang.String query, java.util.Map params, java.util.Map args)`
`java.util.List` | `findAll(java.lang.String query, java.util.Collection params)`
`java.util.List` | `findAll(java.lang.String query, java.util.Collection params, java.util.Map args)`
`java.util.List` | `findAllWhere(java.util.Map queryMap, java.util.Map args)`
`D` | `findWhere(java.util.Map queryMap, java.util.Map args)`
`D` | `first(java.util.Map m)`
`D` | `get(java.io.Serializable id)`
`java.util.List` | `getAll()`
`java.util.List` | `getAll(java.util.List ids)`
`java.util.List` | `getAll(java.lang.Long... ids)`
`java.util.List` | `getAll(java.io.Serializable... ids)`
`D` | `last(java.util.Map m)`
`java.util.List` | `list(java.util.Map params)`
`java.util.List` | `list()`
`D` | `load(java.io.Serializable id)`
`D` | `lock(java.io.Serializable id)`
`D` | `merge(java.lang.Object o)`
`D` | `read(java.io.Serializable id)`
`java.lang.Object` | `withNewSession(groovy.lang.Closure callable)`
`java.lang.Object` | `withSession(groovy.lang.Closure callable)`

Methods inherited from class org.grails.datastore.gorm.GormStaticApi
org.grails.datastore.gorm.GormStaticApi#read(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#create(), org.grails.datastore.gorm.GormStaticApi#getCount(), org.grails.datastore.gorm.GormStaticApi#lock(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#get(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#count(), org.grails.datastore.gorm.GormStaticApi#super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$2$getProperty(java.lang.String), org.grails.datastore.gorm.GormStaticApi#super$2$this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormStaticApi#super$3$super$2$this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormStaticApi#super$3$super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$3$super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$3$this$dist$get$2(java.lang.String), org.grails.datastore.gorm.GormStaticApi#super$3$this$dist$set$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$3$$getStaticMetaClass(), org.grails.datastore.gorm.GormStaticApi#super$3$this$dist$invoke$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#proxy(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#this$dist$invoke$3(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#this$dist$set$3(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#this$dist$get$3(java.lang.String), org.grails.datastore.gorm.GormStaticApi#__$swapInit(), org.grails.datastore.gorm.GormStaticApi#super$1$notifyAll(), org.grails.datastore.gorm.GormStaticApi#super$1$wait(), org.grails.datastore.gorm.GormStaticApi#super$2$getMetaClass(), org.grails.datastore.gorm.GormStaticApi#super$2$setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.GormStaticApi#deleteAll([Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#deleteAll(java.lang.Iterable), org.grails.datastore.gorm.GormStaticApi#load(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#find(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#find(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#find(java.lang.Object, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#find(java.lang.String), org.grails.datastore.gorm.GormStaticApi#list(java.util.Map), org.grails.datastore.gorm.GormStaticApi#list(), org.grails.datastore.gorm.GormStaticApi#exists(java.io.Serializable), org.grails.datastore.gorm.GormStaticApi#merge(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#first(java.util.Map), org.grails.datastore.gorm.GormStaticApi#first(java.lang.String), org.grails.datastore.gorm.GormStaticApi#first(), org.grails.datastore.gorm.GormStaticApi#last(), org.grails.datastore.gorm.GormStaticApi#last(java.lang.String), org.grails.datastore.gorm.GormStaticApi#last(java.util.Map), org.grails.datastore.gorm.GormStaticApi#getAll(), org.grails.datastore.gorm.GormStaticApi#getAll([Ljava.io.Serializable;), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.String), org.grails.datastore.gorm.GormStaticApi#findAll(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.Object, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAll(java.util.Map, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#findAll(), org.grails.datastore.gorm.GormStaticApi#findAll(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#methodMissing(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$1$toString(), org.grails.datastore.gorm.GormStaticApi#super$2$setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#createCriteria(), org.grails.datastore.gorm.GormStaticApi#where(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeQuery(java.lang.String), org.grails.datastore.gorm.GormStaticApi#getValidationErrorsMap(), org.grails.datastore.gorm.GormStaticApi#getValidationSkipMap(), org.grails.datastore.gorm.GormStaticApi#super$3$getExtendedMethods(), org.grails.datastore.gorm.GormStaticApi#super$3$getMethods(), org.grails.datastore.gorm.GormStaticApi#setTransactionManager(org.springframework.transaction.PlatformTransactionManager), org.grails.datastore.gorm.GormStaticApi#whereLazy(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#getGormDynamicFinders(), org.grails.datastore.gorm.GormStaticApi#getGormPersistentEntity(), org.grails.datastore.gorm.GormStaticApi#whereAny(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#saveAll([Ljava.lang.Object;), org.grails.datastore.gorm.GormStaticApi#saveAll(java.lang.Iterable), org.grails.datastore.gorm.GormStaticApi#withCriteria(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withCriteria(java.util.Map, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#findAllWhere(java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findAllWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#findWhere(java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#findWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#findOrCreateWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#findOrSaveWhere(java.util.Map), org.grails.datastore.gorm.GormStaticApi#withSession(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withTransaction(org.springframework.transaction.TransactionDefinition, groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withTransaction(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withNewTransaction(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#withNewSession(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#unsupported(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#this$4$createQueryMapForExample(org.grails.datastore.mapping.model.PersistentEntity, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#this$4$internalFindOrCreate(java.util.Map, boolean), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Collection), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Map, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String, java.util.Collection, java.util.Map), org.grails.datastore.gorm.GormStaticApi#executeUpdate(java.lang.String), org.grails.datastore.gorm.GormStaticApi#withDatastoreSession(groovy.lang.Closure), org.grails.datastore.gorm.GormStaticApi#super$2$invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$2$$getStaticMetaClass(), org.grails.datastore.gorm.GormStaticApi#super$1$notify(), org.grails.datastore.gorm.GormStaticApi#super$1$wait(long, int), org.grails.datastore.gorm.GormStaticApi#getMethods(), org.grails.datastore.gorm.GormStaticApi#super$2$execute(org.grails.datastore.mapping.core.SessionCallback), org.grails.datastore.gorm.GormStaticApi#super$2$execute(org.grails.datastore.mapping.core.VoidSessionCallback), org.grails.datastore.gorm.GormStaticApi#this$dist$invoke$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#this$dist$get$2(java.lang.String), org.grails.datastore.gorm.GormStaticApi#this$dist$set$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#getExtendedMethods(), org.grails.datastore.gorm.GormStaticApi#getEXCLUDES(), org.grails.datastore.gorm.GormStaticApi#getMetaClass(), org.grails.datastore.gorm.GormStaticApi#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.GormStaticApi#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#getProperty(java.lang.String), org.grails.datastore.gorm.GormStaticApi#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$1$clone(), org.grails.datastore.gorm.GormStaticApi#super$1$wait(long), org.grails.datastore.gorm.GormStaticApi#super$1$getClass(), org.grails.datastore.gorm.GormStaticApi#super$1$finalize(), org.grails.datastore.gorm.GormStaticApi#super$1$equals(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#super$1$hashCode(), org.grails.datastore.gorm.GormStaticApi#this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormStaticApi#this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormStaticApi#wait(), org.grails.datastore.gorm.GormStaticApi#wait(long, int), org.grails.datastore.gorm.GormStaticApi#wait(long), org.grails.datastore.gorm.GormStaticApi#equals(java.lang.Object), org.grails.datastore.gorm.GormStaticApi#toString(), org.grails.datastore.gorm.GormStaticApi#hashCode(), org.grails.datastore.gorm.GormStaticApi#getClass(), org.grails.datastore.gorm.GormStaticApi#notify(), org.grails.datastore.gorm.GormStaticApi#notifyAll()

Methods inherited from class org.grails.datastore.gorm.AbstractGormApi
org.grails.datastore.gorm.AbstractGormApi#super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$getProperty(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#super$2$this$dist$get$1(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#super$2$$getStaticMetaClass(), org.grails.datastore.gorm.AbstractGormApi#__$swapInit(), org.grails.datastore.gorm.AbstractGormApi#super$1$notify(), org.grails.datastore.gorm.AbstractGormApi#super$1$notifyAll(), org.grails.datastore.gorm.AbstractGormApi#super$1$wait(), org.grails.datastore.gorm.AbstractGormApi#super$1$wait(long, int), org.grails.datastore.gorm.AbstractGormApi#super$2$getMetaClass(), org.grails.datastore.gorm.AbstractGormApi#super$2$setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.AbstractGormApi#getMethods(), org.grails.datastore.gorm.AbstractGormApi#super$1$toString(), org.grails.datastore.gorm.AbstractGormApi#super$2$setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$execute(org.grails.datastore.mapping.core.SessionCallback), org.grails.datastore.gorm.AbstractGormApi#super$2$execute(org.grails.datastore.mapping.core.VoidSessionCallback), org.grails.datastore.gorm.AbstractGormApi#this$dist$invoke$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#this$dist$get$2(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#this$dist$set$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#getExtendedMethods(), org.grails.datastore.gorm.AbstractGormApi#getEXCLUDES(), org.grails.datastore.gorm.AbstractGormApi#getMetaClass(), org.grails.datastore.gorm.AbstractGormApi#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.AbstractGormApi#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#getProperty(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$1$clone(), org.grails.datastore.gorm.AbstractGormApi#super$1$wait(long), org.grails.datastore.gorm.AbstractGormApi#super$1$getClass(), org.grails.datastore.gorm.AbstractGormApi#super$1$finalize(), org.grails.datastore.gorm.AbstractGormApi#super$1$equals(java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$1$hashCode(), org.grails.datastore.gorm.AbstractGormApi#this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#this$dist$get$1(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#wait(), org.grails.datastore.gorm.AbstractGormApi#wait(long, int), org.grails.datastore.gorm.AbstractGormApi#wait(long), org.grails.datastore.gorm.AbstractGormApi#equals(java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#toString(), org.grails.datastore.gorm.AbstractGormApi#hashCode(), org.grails.datastore.gorm.AbstractGormApi#getClass(), org.grails.datastore.gorm.AbstractGormApi#notify(), org.grails.datastore.gorm.AbstractGormApi#notifyAll()

Constructor Detail

### HibernateGormStaticApi

    HibernateGormStaticApi(java.lang.Class persistentClass, HibernateDatastore datastore, java.util.List finders, java.lang.ClassLoader classLoader, org.springframework.transaction.PlatformTransactionManager transactionManager)

Method Detail

### count

    @Override
    java.lang.Integer count()

### create

    @Override
    D create()

### createCriteria

    @Override
    org.grails.datastore.mapping.query.api.Criteria createCriteria()

### executeQuery

    @Override
    java.util.List executeQuery(java.lang.String query)

### executeQuery

    java.util.List executeQuery(java.lang.String query, java.lang.Object arg)

### executeQuery

    @Override
    java.util.List executeQuery(java.lang.String query, java.util.Map args)

### executeQuery

    @Override
    java.util.List executeQuery(java.lang.String query, java.util.Map params, java.util.Map args)

### executeQuery

    @Override
    java.util.List executeQuery(java.lang.String query, java.util.Collection params)

### executeQuery

    @Override
    java.util.List executeQuery(java.lang.String query, java.util.Collection params, java.util.Map args)

### executeUpdate

    @Override
    java.lang.Integer executeUpdate(java.lang.String query)

### executeUpdate

    @Override
    java.lang.Integer executeUpdate(java.lang.String query, java.util.Map args)

### executeUpdate

    @Override
    java.lang.Integer executeUpdate(java.lang.String query, java.util.Map params, java.util.Map args)

### executeUpdate

    @Override
    java.lang.Integer executeUpdate(java.lang.String query, java.util.Collection params)

### executeUpdate

    @Override
    java.lang.Integer executeUpdate(java.lang.String query, java.util.Collection params, java.util.Map args)

### exists

    @Override
    boolean exists(java.io.Serializable id)

### find

    @Override
    D find(java.lang.Object example, java.util.Map args)

### find

    @Deprecated
    D find(java.lang.String query, java.util.Map args, java.lang.Integer max)

  Finds a single result for the given query and arguments and a maximum results to return value
  deprecated:
    Use Book.find('..', [foo:'bar], [max:10]) instead
  Parameters:
    `query` - The query
    `args` - The arguments
    `max` - The maximum to return
  Returns:
    A single result or null

### find

    @Deprecated
    D find(java.lang.String query, java.util.Map args, java.lang.Integer max, java.lang.Integer offset)

  Finds a single result for the given query and arguments and a maximum results to return value
  deprecated:
    Use Book.find('..', [foo:'bar], [max:10, offset:5]) instead
  Parameters:
    `query` - The query
    `args` - The arguments
    `max` - The maximum to return
    `offset` - The offset
  Returns:
    A single result or null

### find

    @Deprecated
    D find(java.lang.String query, java.lang.Integer max)

  Finds a single result for the given query and a maximum results to return value
  deprecated:
    Use Book.find('..', [max:10]) instead
  Parameters:
    `query` - The query
    `max` - The maximum to return
  Returns:
    A single result or null

### find

    @Deprecated
    D find(java.lang.String query, java.lang.Integer max, java.lang.Integer offset)

  Finds a single result for the given query and a maximum results to return value
  deprecated:
    Use Book.find('..', [max:10, offset:5]) instead
  Parameters:
    `query` - The query
    `max` - The maximum to return
    `offset` - The offset to use
  Returns:
    A single result or null

### find

    @Override
    D find(java.lang.String query)

### find

    D find(java.lang.String query, java.lang.Object[] params)

### find

    @Override
    D find(java.lang.String query, java.util.Map args)

### find

    @Override
    D find(java.lang.String query, java.util.Map params, java.util.Map args)

### find

    @Override
    java.lang.Object find(java.lang.String query, java.util.Collection params)

### find

    @Override
    D find(java.lang.String query, java.util.Collection params, java.util.Map args)

### findAll

    @Override
    java.util.List findAll(java.lang.Object example, java.util.Map args)

### findAll

    @Deprecated
    java.util.List findAll(java.lang.String query, java.util.Map args, java.lang.Integer max)

  Finds a list of results for the given query and arguments and a maximum results to return value
  deprecated:
    Use findAll('..', [foo:'bar], [max:10]) instead
  Parameters:
    `query` - The query
    `args` - The arguments
    `max` - The maximum to return
  Returns:
    A list of results

### findAll

    @Deprecated
    java.util.List findAll(java.lang.String query, java.util.Map args, java.lang.Integer max, java.lang.Integer offset)

  Finds a list of results for the given query and arguments and a maximum results to return value
  deprecated:
    Use findAll('..', [foo:'bar], [max:10, offset:5]) instead
  Parameters:
    `query` - The query
    `args` - The arguments
    `max` - The maximum to return
    `offset` - The offset
  Returns:
    A list of results

### findAll

    @Deprecated
    java.util.List findAll(java.lang.String query, java.lang.Integer max)

  Finds a list of results for the given query and a maximum results to return value
  deprecated:
    Use findAll('..', [max:10]) instead
  Parameters:
    `query` - The query
    `max` - The maximum to return
  Returns:
    A list of results

### findAll

    @Deprecated
    java.util.List findAll(java.lang.String query, java.lang.Integer max, java.lang.Integer offset)

  Finds a list of results for the given query and a maximum results to return value
  deprecated:
    Use findAll('..', [max:10, offset:5]) instead
  Parameters:
    `query` - The query
    `max` - The maximum to return
  Returns:
    A list of results

### findAll

    @Override
    java.util.List findAll(java.lang.String query)

### findAll

    @Override
    java.util.List findAll(java.lang.String query, java.util.Map args)

### findAll

    @Override
    java.util.List findAll(java.lang.String query, java.util.Map params, java.util.Map args)

### findAll

    @Override
    java.util.List findAll(java.lang.String query, java.util.Collection params)

### findAll

    @Override
    java.util.List findAll(java.lang.String query, java.util.Collection params, java.util.Map args)

### findAllWhere

    @Override
    java.util.List findAllWhere(java.util.Map queryMap, java.util.Map args)

### findWhere

    @Override
    D findWhere(java.util.Map queryMap, java.util.Map args)

### first

    D first(java.util.Map m)

### get

    @Override
    D get(java.io.Serializable id)

### getAll

    @Override
    java.util.List getAll()

### getAll

    java.util.List getAll(java.util.List ids)

### getAll

    java.util.List getAll(java.lang.Long... ids)

### getAll

    @Override
    java.util.List getAll(java.io.Serializable... ids)

### last

    D last(java.util.Map m)

### list

    @Override
    java.util.List list(java.util.Map params)

### list

    @Override
    java.util.List list()

### load

    @Override
    D load(java.io.Serializable id)

### lock

    @Override
    D lock(java.io.Serializable id)

### merge

    @Override
    D merge(java.lang.Object o)

### read

    @Override
    D read(java.io.Serializable id)

### withNewSession

    @Override
    java.lang.Object withNewSession(groovy.lang.Closure callable)

### withSession

    @Override
    java.lang.Object withSession(groovy.lang.Closure callable)

Groovy Documentation